#### ATTRIBUTES

#### Synopsis

    HELP:   Causes that original file information to be entered in the FLAMFILE [COMMON]
    TYPE:   NUMBER
    SYNTAX: ATTRIBUTES=NONE/COMMON/ALL

#### Description

This parameter has the effect that compression information are written into the FLAMFILE (UNIX and WINDOWS only).

See also parameter HEADER for z/OS.

The insertion of compression information into the FLAMFILE allows a subsequent extraction of this information, without the necessity to totally decompress the FLAMFILE. In doing so, the file organization, the record format and the record length can be logged during compression. This is also true for the attribute under which operating system the compression has taken place (attributes=common).

As result the decompressed file can be generated with the same characteristics during decompression, if necessary.

The file specification of the original file may optionally be entered in addition (attributes=all). This option makes it possible to specify the output specification [ ] or [*] for decompression, with the result that FLAM will use the entered file specification and the related characteristics automatically.

With attributes=none no information about the original file is written into the FLAMFILE at all.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - see parameter HEADER for z/OS.
- UNIX
  - `-attributes=attribute option`
- WINDOWS
  - `-attributes=attribute option`

Values

- UNIX / WINDOWS
  - `none` - No file information. Corresponds z/OS: FILEINFO=NO and HEADER=NO.
  - `common` - Common file information. Corresponds z/OS: FILEINFO=NO and HEADER=YES.
  - `all` - Common file information and system specific information about the original file. Corresponds to z/OS: FILEINFO=YES and HEADER=YES.

Default

- none

Valid for

- compression

#### Selections

- `NONE - No compression information`
- `COMMON - Common compression information`
- `ALL - General compression information and system specific information about the original file`